Name:		renameutils
Version:	0.10.0
Release:	3%{?dist}
Summary:	A set of programs to make renaming and copying of files easier

Group:		Applications/File
License:	GPLv3+
URL:		http://www.nongnu.org/renameutils
Source0:	http://savannah.nongnu.org/download/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	readline-devel
BuildRequires:  gettext

%description

The file renaming utilities (renameutils for short) are a set of
programs designed to make renaming of files faster and less
cumbersome.

The file renaming utilities consists of five programs - qmv, qcp, imv,
icp and deurlname.

The qmv ("quick move") program allows file names to be edited in a
text editor. The names of all files in a directory are written to a
text file, which is then edited by the user. The text file is read and
parsed, and the changes are applied to the files.

The qcp ("quick cp") program works like qmv, but copies files instead
of moving them.

The imv ("interactive move") program, is trivial but useful when you
are too lazy to type (or even complete) the name of the file to rename
twice. It allows a file name to be edited in the terminal using the
GNU Readline library. icp copies files.

The deurlname program removes URL encoded characters (such as %20
representing space) from file names. Some programs such as w3m tend to
keep those characters encoded in saved files.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README TODO COPYING NEWS AUTHORS
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Thu Mar 19 2009 Michael Ploujnikov <ploujj@gmail.com> 0.10.0-3
- Made the summary more exact

* Thu Mar 19 2009 Michael Ploujnikov <ploujj@gmail.com> 0.10.0-2
- fixed timestamps
- added AUTHORS to documentation
- improved the URL
- removed readline from Requires
- properly handled locales

* Sun Mar 15 2009 Michael Ploujnikov <ploujj@gmail.com> 0.10.0-1
- Intial Fedora build
